stack-1.4.0: The Haskell Tool Stack

Safe Haskell | None
Language | Haskell2010

System.Process.Log

Description

Separate module because TH.

Synopsis

- logCreateProcess :: Q Exp
- withProcessTimeLog :: Q Exp
- showProcessArgDebug :: String -> Text

# Documentation

logCreateProcess :: Q Exp #

Log running a process with its arguments, for debugging (-v).

withProcessTimeLog :: Q Exp #

Log running a process with its arguments, for debugging (-v).

This logs one message before running the process and one message after.

showProcessArgDebug :: String -> Text #

Show a process arg including speechmarks when necessary. Just for debugging purposes, not functionally important.